/*
 *  DrixellasConstants.h
 *  DrixellasDilemma
 *
 *  Created by Vince Tagle on 8/25/04.
 *  Copyright 2004 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef DrixellasConstants_h
#define DrixellasConstants_h 1

#include <Carbon/Carbon.h>

#define MAX_PUZZLE_PIECES   72	//!< The maximum number of game pieces. 
#define	NUM_TILE_TYPES		6	//!< The number of different colors or symbols. 
#define BOARD_SIZE			96	//!< The number of squares on the board. 
#define GRID_WIDTH			12	//!< The width (in squares) of the board. 
#define GRID_HEIGHT			8	//!< The height (in squares) of the board. 
#define INITIAL_TIME_LIMIT	60000

enum
{
	kLegalMove, 
	kGameFinished,
	kIllegalMoveNoAdjacentTile, 
	kIllegalMoveTileMismatch, 
	kIllegalMoveUnbalancedTiles, 
	kIllegalMoveMax
}; 

#define kIconMax	6
#define kColorMax	6

#endif
